%define modname	HTTP-Cache-Transparent
Name:           perl-%{modname}
Version:        0.7
Release:        3.15
Summary:        Cache the result of http get-requests persistently
Requires:       perl = %{perl_version} perl-libwww-perl
BuildRequires:  perl 
#BuildRequires:	perl-macros 
BuildRequires:	perl-libwww-perl
License:        Artistic-1.0 or GPL-2.0+
Group:          Development/Libraries/Perl
Source:         %{modname}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-root
Requires:       perl-libwww-perl

%description
An implementation of http get that keeps a local cache of fetched pages to
avoid fetching the same data from the server if it hasn't been updated. The
cache is stored on disk and is thus persistent between invocations.

Authors:
--------
    Mattias Holmlund, <$firstname -at- $lastname -dot- se>

%prep
%setup -q -n %{modname}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README Changes
%doc %{_mandir}/man?/*
%{perl_vendorlib}/HTTP
%{perl_vendorarch}/auto/HTTP

%changelog
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Update
* Fri Nov 11 2005 jfunk@funktronics.ca
- Update
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Update
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Initial release
